# RateLimit.Burst

Defines the maximum number of messages allowed per rate-limit interval.

This parameter applies to imtcp: TCP Syslog Input Module.

Name:

  RateLimit.Burst

Scope:

  input

Type:

  integer

Default:

  input=10000

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Specifies the rate-limiting burst in number of messages. Default is `10,000`.

## Input usage

    input(type="imtcp" rateLimit.Burst="20000")

## See also

See also imtcp: TCP Syslog Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.